> For the complete documentation index, see [llms.txt](https://docs.plura.io/ko/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plura.io/ko/faq/siem/alarm/webhook-telegram.md).

# Webhook 설정(Telegram)

{% hint style="info" %}
텔레그램 메신저를 이용해 웹훅 수신을 설정하면,&#x20;

PLURA에서 탐지 알림을 텔레그램으로 받아볼 수 있습니다.
{% endhint %}

## 1. 그룹 알림 설정 (영상 참고) <a href="#id-1" id="id-1"></a>

{% embed url="<https://youtu.be/lIFuWAtDVbk>" %}

## 2. 텔레그램에서 웹훅 설정하기 <a href="#id-2" id="id-2"></a>

### 2-1. Bot 생성 <a href="#id-2-1" id="id-2-1"></a>

* 텔레그램에서 **BotFather**를 검색합니다.
* `/newbot`을 입력하여 새로운 Bot을 생성합니다.
* Bot의 이름을 등록하고, **Bot 식별키**를 확인합니다 (식별키는 `_bot`으로 끝나야 합니다).
* Bot 생성이 완료되면, 출력창에 표시된 **t.me/Bot식별키** 링크를 클릭하고, **시작(start)**&#xC744; 눌러 Bot을 활성화합니다.

### 2-2. Bot 을 그룹 채팅에 초대 <a href="#id-2-2" id="id-2-2"></a>

* 텔레그램에서 그룹을 생성한 후, 생성한 Bot 이름을 검색하여 그룹에 추가합니다.
* Bot 생성 시 발급된 **Token**을 사용해, 현재 그룹 채팅의 ID 정보를 확인합니다:
  * URL 예시: `https://api.telegram.org/bot{Token}/getUpdates`

### 2-3. 알림 설정 <a href="#id-2-3" id="id-2-3"></a>

* 위에서 확인한 Token과 그룹 ID 정보를 PLURA [알림설정](https://docs.plura.io/ko/function/common/management/galam)에 등록합니다.
  * URL 예시: `https://api.telegram.org/bot{Token}/sendmessage?parse_mode=Markdown&chat_id={id}`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plura.io/ko/faq/siem/alarm/webhook-telegram.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
